Page MenuHomePhabricator

Use "WikimediaBot" as UA when making public requests
Closed, ResolvedPublic

Event Timeline

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF added a project: Citoid.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2015, 8:26 PM

(Should only be set in the /deploy repo.)

Mvolz added a subscriber: Mvolz.Feb 17 2015, 8:59 PM

Are there any docs anywhere for this user-agent string? Or is this esp. for citoid?

I used a custom citoid-only user string for a while and found that some sites would refused to serve anything to it. Not saying we shouldn't use it regardless though.

Mvolz moved this task from Backlog to Production on the Citoid board.Feb 21 2015, 1:17 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF assigned this task to Mvolz.
Jdforrester-WMF set Security to None.
Mvolz added a comment.Mar 3 2015, 6:00 PM

Where? In production? In labs? :).

Where? In production? In labs? :).

Both, IMO.

Change 194536 had a related patch set uploaded (by Mvolz):
[WIP] Update translators and citoid to master

https://gerrit.wikimedia.org/r/194536

Change 194536 abandoned by Mvolz:
Update citoid to master and localsettings.js

https://gerrit.wikimedia.org/r/194536

Jdforrester-WMF closed this task as Resolved.Mar 12 2015, 8:27 PM